Skip to main content
GET
Get a point
The response includes the live members curVal, curStatus and curState. For a point that is a copy, they show the values of its source. See Copy points to devices.

Authorizations

Authorization
string
header
required

Paste an access token from Create an access token. Tokens expire, so request a new one if you receive 401.

Path Parameters

buildingId
string
required

Building identifier from List buildings.

pointId
string
required

Point identifier.

Response

The point.

_id
string
organizationId
string
createdAt
string
read-only

Date and time in UTC, with a numeric offset and no colon, for example 2026-10-28T13:51:31+0000.

Example:

"2026-10-28T13:51:31+0000"

updatedAt
string
read-only

Date and time in UTC, with a numeric offset and no colon, for example 2026-10-28T13:51:31+0000.

Example:

"2026-10-28T13:51:31+0000"

baseDevice
object
device
object
building
object
connector
object
covTolerance
number<double>
deviceTemplate
object
name
string
kind
enum<string>
Available options:
Number,
Str,
Bool
writable
boolean
canonicalType
string
field
string
pointEnum
string[]
area
object
baseUnit
object
unit
object
dataInterval
string
precision
integer<int32>
description
string
writeActionCapabilities
object
deviceId
string
curStatus
enum<string>
Available options:
ok,
disabled,
fault,
no_value,
down
curVal
string
curState
string[]
location
string
sourceId
string